Subject: Re: [Bitcoin-development] 0.3.24

From: Douglas Huff <[email-masked]>
Date: Fri, 1 Jul 2011 12:47:46 -0500

On Jul 1, 2011, at 11:35 AM, [email-masked] wrote:

> On Fri, Jul 01, 2011 at 11:06:56AM -0400, Gavin Andresen wrote:
>>> Not sure about OS differentiation, seems...wrong?  Maybe disabled by
>>> default on bitcoind but on by default on bitcoin?
>> 
>> OK.  I mis-remembered the poll:
>>   http://forum.bitcoin.org/index.php?topic=4392.0
>> 
>> On by default	                       8 (20%)
>> Off by default	                       22 (55%)
>> On by default in the GUI, off by default in bitcoind	 10 (25%)
> 
> I just voted as well and now - with some extra votes in the meantime -
> it's 9 / 22 / 13. So exactly 50/50 between off (22) and some form of on
> (9 + 13).
> 
> I'm in favor of turning it on by default in the GUI and leaving it off
> in bitcoind.
> 
> I don't like UPnP much, I find it exemplifies exactly what is wrong with
> computer security today: Convenience trumps security almost every time.

I don't think this should be a vote at all. Given Greg/Matt's numbers it is a necessity to ensure network stability over the next 90 days.

Also: the default will only apply to pre-built binaries, which bitcoind isn't one of, so for people running bitcoind this default doesn't matter at all. Just continue building without UPNP support as you're already doing.

-- 
Douglas Huff